Bug 44564 - lseek on /proc/N/mem broken (for patch-2.4.2-ac3)
lseek on /proc/N/mem broken (for patch-2.4.2-ac3)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 04:31 EDT by Mike Coleman
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 09:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Coleman 2001-06-14 04:31:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
Apparently at least some 7.1 x86 kernels incorporate patch-2.4.2-ac3, which
breaks lseek on /proc/N/mem, giving a bogus EINVAL error for seeks to the
top half of a process's memory.  This breaks SUBTERFUGUE
(http://subterfugue.org) and perhaps other programs.

How reproducible:
Didn't try

Steps to Reproduce:
1. This is from a user error report

2.The systems are stock RedHat 7.1, running the 2.4.2-2 RedHat supplied
kernel.
Have tested with both smp and up versions.
Linux slave6 2.4.2-2smp #1 SMP Sun Apr 8 20:21:34 EDT 2001 i686 unknown
These are burnup systems, generic installation via kickstart.
3.  If you obtain and build SUBTERFUGUE, the command 'sf --tri=Trace date'
would trigger the bug.
	

Actual Results:  You'll see a python backtrace.

Expected Results:  successful execution

Additional info:

This bug appears to be fixed as of the 2.4.5-ac1 patch.  It's also absent
from all vanilla kernels, I believe.

So, the fix is to upgrade or rebuild your kernel.  (I'm filing this bug
primarily for your errata page.)

Note You need to log in before you can comment on or make changes to this bug.